## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global crate bindgen-cli
%global crates_source https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

Name:           rust-bindgen-cli
Version:        0.69.4
Release:        %autorelease
Summary:        Automatically generates Rust FFI bindings to C and C++ libraries

License:        BSD-3-Clause
URL:            https://crates.io/crates/bindgen-cli
Source0:        %{crates_source}
Source1:        %{crate}-%{version}-vendor.tar.xz
Source2:        LICENSE.dependencies

BuildRequires:  rust-toolset
BuildRequires:  clang-devel

%global _description %{expand:
Automatically generates Rust FFI bindings to C and C++ libraries.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        BSD-3-Clause AND Apache-2.0 AND ISC AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# /usr/bin/bindgen was moved from bindgen to bindgen-cli with v0.61
Provides:       bindgen = %{version}-%{release}
Obsoletes:      bindgen < 0.61

# /usr/bin/bindgen requires libclang.so at runtime
Requires:       clang-libs

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/bindgen

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1
cp %{SOURCE2} .

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Aug 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.69.4-1
- Initial import for EPEL 8
## END: Generated by rpmautospec
